<?php
include_once '../sys/inc/start.php';
$doc = new document(3);
$doc->title = 'Удаление сообщений';


if (isset($_POST['delete']))
{
if (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha']!=$_POST['chislo'])
{
$doc->err('Проверочное число введено неверно');
}
else
{

mysql_query("TRUNCATE TABLE `chat_mini`");
$doc->msg('Все сообщения успешно удалены');
header('Refresh: 1; url=./?'.SID);
$doc->ret('Вернуться','./');
exit;
}

}


$smarty = new design();
$smarty->assign('method', 'post');
$smarty->assign('action', '?'.passgen() );
$elements=array();
$elements[]=array('type'=>'captcha', 'br'=>1);
$elements[]=array('type'=>'text', 'value'=>'* Все сообщения будут удалены без возможности восстановления','br'=>1);
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'delete', 'value'=>'Удалить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');

$doc->ret('Вернуться','./');


?>